<template>
  <header class="mh-header">
    <mh-radio-group
      v-model="locale"
      name="locale"
      :options="localesOptions"
      @input="changeLocale"
    />
  </header>
</template>

<script>
import MhRadioGroup from '@/components/controls/radio-group'

const LOCALES_OPTIONS= [
  { label: 'Ru', value: 'ru' },
  { label: 'En', value: 'en' }
]

export default {
  name: 'MhHeader',

  components: { MhRadioGroup },

  data() {
    return {
      color: '',
      locale: ''
    }
  },

  computed: {
    localesOptions() {
      return LOCALES_OPTIONS
    }
  },

  mounted() {
    this.locale = this.$i18n.locale
  },

  methods: {
    changeLocale(locale) {
      this.$i18n.locale = locale
    }
  }
}
</script>

<style lang="scss" scoped>
.mh-header {
  display: flex;
  justify-content: flex-end;
  padding: $base-layout-padding;
}
</style>
